﻿:root {
    --rz-input-value-color: var(--font-color);
    --rz-input-border: 1px solid var(--border-color);
    --rz-input-shadow: none;
    --rz-input-height: 2rem;
    --rz-input-line-height: 1rem;
    --rz-input-font-size: 0.875rem;
    --rz-primary: var(--gray2);
    --rz-secondary: var(--accent1);
    --rz-secondary-light: var(--accent1-light);
    --rz-secondary-dark: var(--accent1-dark);
    --rz-text-color: var(--font-color);
    --rz-base-200: var(--gray8);
    --rz-base: #DADFE2;
    --rz-on-base: var(--blue);
    --rz-dialog-title-background-color: var(--blue);
    --rz-primary: var(--blue);
}

:root { /*General Input*/
    --rz-input-font-size: 0.875rem;
    --rz-input-height: 2rem;
    --rz-input-line-height: 2rem;
    --rz-input-value-color: #555;
    --rz-input-border: 1px solid #BFBFBF;
    --rz-input-border-radius: 0.25rem;
    --rz-input-shadow: none;
    --rz-input-background-color: #FFF;
    --rz-input-padding-block: 0;
    --rz-input-padding-inline: 4px;
    --rz-input-hover-shadow: none;
    --rz-input-hover-border: 1px solid #A0A0A0;
    --rz-input-focus-border: 1px solid var(--green);
}

:root { /*Grid Header*/
    --rz-grid-header-cell-border: 1px solid var(--border-color);
    --rz-grid-header-background-color: var(--gray9);
    --rz-grid-header-cell-border-bottom: 1px solid var(--border-color);
    --rz-grid-header-cell-padding: 0.2rem 0.1rem;
    --rz-grid-header-title-padding-inline: 0.5rem 0;
    --rz-grid-header-text-transform: none;
    --rz-grid-header-font-size: 1rem;
    --rz-grid-header-line-height: 1.5rem;
    --rz-grid-header-color: var(--font-color);
}

:root { /*Grid Cells*/
    --rz-grid-cell-padding: 0.2rem 0.5rem;
    --rz-grid-cell-color: rgba(0,0,0,0.6);
    --rz-grid-cell-font-size: 1rem;
    --rz-grid-cell-line-height: 1.5;
    --rz-grid-cell-border: 1px solid var(--border-color);
    --rz-grid-right-cell-border: 1px solid var(--border-color);
    --rz-grid-bottom-cell-border: 1px solid var(--border-color);
}

:root { /*Pagination*/
    --rz-pager-background-color: var(--gray9);
    --rz-pager-padding-inline: 0.5rem;
    --rz-pager-padding-block: 0.5rem;
    --rz-pager-numeric-button-background-color: var(--gray9);
    --rz-pager-numeric-button-selected-background-color: var(--gray2);
    --rz-pager-numeric-button-border: 1px solid var(--border-color);
    --rz-pager-numeric-button-selected-border: 1px solid var(--border-color);
    --rz-pager-button-border-radius: 0.25rem;
    --rz-pager-numeric-button-padding: 0.25rem;
    --rz-pager-numeric-button-selected-padding: 0.25rem;
    --rz-pager-numeric-button-color: var(--txt-color);
    --rz-pager-numeric-button-selected-color: #FFF;
    --rz-pager-next-button-background-color: var(--gray9);
    --rz-pager-next-button-color: var(--font-color);
}

:root { /*Filter Row*/
    --rz-grid-filter-padding: 0 0.5rem;
    --rz-grid-filter-background-color: var(--gray9);
    --rz-grid-filter-font-size: 0.875rem;
    --rz-grid-header-filter-icon-margin-inline: auto 0.5rem;
    --rz-grid-filter-buttons-padding: 0.5rem;
}

.rz-grid-table thead th .rz-column-title {
    gap: 0;
}

.rz-grid-date-filter {
    width: 500px;
}

input.rz-textbox {
    width:100%;
}

/* **********Dialog********** */
:root {
    --rz-dialog-title-background-color: var(--gray1);
    --rz-dialog-title-color: #FFF;
    --rz-dialog-close-color: #FFF;
    --rz-dialog-content-padding: 1rem;
    --rz-dialog-background-color: var(--gray9);
    --rz-dialog-title-font-size: 1.2rem;
    --rz-dialog-title-padding-block: 0.5rem;
    --rz-dialog-title-padding-inline: 1rem;
}

.rz-dialog-title .rz-dialog-titlebar-close .rzi.rzi-times {
    font-weight: bold;
}

.rz-dialog.nopad .rz-dialog-content {
    padding: 0;
}

.rz-dialog.auto-height {
    height: auto !important;
}

@media(max-width:768px) {
    .rz-dialog:not(.rz-dialog-confirm):not(.rz-dialog-alert) {
        top: 7rem !important;
    }
}

/* **********Dropdown********** */
:root {
    --rz-dropdown-item-selected-background-color: var(--accent1);
    --rz-dropdown-item-selected-color: #FFF;
    --rz-dropdown-item-selected-hover-background-color: var(--accent1-light);
    --rz-dropdown-item-selected-hover-color: #FFF;
    --rz-dropdown-item-selected-shadow: none;
    --rz-dropdown-item-font-size: 0.875rem;
    --rz-dropdown-item-hover-background-color: var(--accent1-light);
    --rz-dropdown-item-hover-color: #FFF;
}

.rz-dropdown {
    width: 100%;
}

.rz-dropdown-item, .rz-dropdown-items li {
    /*white-space:nowrap;
    text-overflow:ellipsis;
    overflow:hidden;*/
}

/* **********Date Picker********** */
.rz-calendar .rz-inputtext, .rz-textbox {
    line-height: 1.5rem;
    padding: 0 0.2rem;
    padding-right: 0.5rem;
    color: var(--font-color);
    border: 1px solid var(--border-color);
    height: 1.75rem;
}

.rz-calendar .rz-inputtext {
    border: none;
}

.rz-calendar .rz-datepicker-trigger {
    right: 0.2rem;
}

.rz-data-grid .rz-pager-element {
    padding: 0;
    min-height: 0;
    line-height: 1.5rem;
}

.rz-data-grid .rz-pager-element {
    border: 1px solid var(--border-color);
}

.rz-dialog-content {
    width: 100%;
    height: 100%;
    position: relative;
}

.rz-calendar .rz-inputtext, .rz-textbox {
    height: 2rem;
    line-height: 2rem;
}

    .rz-textbox::placeholder {
        color: rgba(0,0,0,0.3);
    }

.rz-dropdown-clear-icon {
    right: var(--rz-dropdown-trigger-icon-width);
}

/*.rz-selectable tbody tr.rz-data-row.rz-state-highlight > td {
    background-color:var(--accent1-light);
}*/

.rz-progressbar-determinate-primary .rz-progressbar-value {
    background-color: var(--accent1);
}
